# Card BIN Data

Lookup card metadata from a Primary Account Number (PAN), Network Token Number, or Worldpay token href.

Returns: card brand(s), BIN and BIN length, PAN length, funding type, issuer name, issuer country (ISO alpha-2), default currency (ISO alpha-3), DCC eligibility, anonymous prepaid / AMLD5 compliance status, card category (consumer or commercial), product ID, product subtype, flexible credential participation including the Visa deployment model and account funding transactions support for domestic and cross-border. <br><br>

    __Set your headers__
  ```
    Authorization: {your_credentials}
    Content-Type: application/json
    WP-Api-Version: 2
  ```
Replace `{your_credentials}` with your base64-encoded Basic Auth username:password given to you by your Worldpay Implementation Manager. <br/><br/> We require the Content-Type header if the request you're sending includes a request body, and if the HTTP method is a `POST` or a `PUT`. <br/><br/> We use the WP-Api-Version header to identify which version of our API you are using. You must use this header for any request you send to our Card BIN API. <br/><br/>
__DNS whitelisting__ <br> Whitelist the following URLs:<br> * `https://try.access.worldpay.com/`<br> * `https://access.worldpay.com/`<br><br>
Please ensure you use DNS whitelisting, not explicit IP whitelisting.

Version: 2
Metadata:
  - category: ["Card BIN"]
  - business: ["Enterprise"]
  - catalog-list: true
  - generated: false

## Servers

Test (Try) - use for integration and QA
```
https://try.access.worldpay.com
```

Live - use for production traffic
```
https://access.worldpay.com
```

## Security

### basicAuth

Base64-encode your username:password (issued by Worldpay) and send as `Authorization: Basic <token>` on every request.

Type: http
Scheme: basic

## Download OpenAPI description

[Card BIN Data](https://worldpay-portal.eu.redocly.app/access/_bundle/products/card-bin/@v2/openapi.yaml)

## Card Lookup

Lookup card metadata by PAN, Network Token Number, or Worldpay token.

### Lookup BIN data for a card number or Worldpay token

 - [POST /api/cardBin/panLookup](https://worldpay-portal.eu.redocly.app/access/products/card-bin/openapi/card-lookup/getcardbindata.md): Returns card metadata for the supplied payment instrument. This is a read-only lookup with no side effects - safe to retry on network errors.

